Package: groovy.xml

## [Groovy] Class XmlParserFactory

- groovy.xml.XmlParserFactory

-     class XmlParserFactory
      extends Object

  Factory method targeting dynamic contexts which allows a new `XmlParser` to be created. It is intended to assist with migration from Groovy 2.5.x to Groovy 3+. Code using this factory will not need to change moving from 2.x to 3+. In Groovy 2.5.x, a `groovy.util.XmlParser` will be returned. For Groovy 3+, a `groovy.xml.XmlParser` will be returned. For contexts requiring additional static type checking, it is recommended simply to use the normal constructor and change the package to `groovy.xml` prior to reaching Groovy 4.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlParserFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Object` | `newParser(Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlParserFactory()

  - ### Method Detail

    - #### static Object newParser(Object[] args)